/**
 * Informatique Industrielle et Java
 * Projet alternative du chapitre2 
 * Un Compteur4Bits compte sur 16 etats
 *
 * @author F. Mallet et F. Boeri
 * @version 1
 */
public class Compteur4Bits {
    /** le type byte permet de representer 256 valeurs, seules 16 valeurs
     * sont utilisees ici 
     */
    private byte etat = 0; 
    
    /**
     * @return la valeur de l'etat 
     */
    public byte getEtat() { 
        return etat; 
    }
    
    /** incremente et passe a l'etat suivant */
    public void incrementer() {
        if (etat == 0xF)
            etat = 0;
        else
            etat += 1;      
    }
    
    /** incremente de 4 etats */
    public void incrementer4() {
        if (etat < (16 - 4)) {
            etat += 4 ;
        } else {
            etat += (4-16);
        }
    }
}